package com.sino.rrs.action;

import com.alibaba.fastjson.JSONObject;
import com.sino.publicclass.base.BaseAction;
import com.sino.publicclass.mapService.PoiAddress;

public class QueryAddressAction extends BaseAction{
	
	public void query() throws Exception {
		String latitude = getParameter("latitude", "0");
		String longitude = getParameter("longitude", "0");
		System.out.println("经纬度是"+latitude+"//"+longitude);
		String orderCode=getParameter("orderCode", "");
		
		JSONObject jsonObject = new JSONObject();
		//远程调用上传司机位置方法
		String name = PoiAddress.getWeixinAddress(longitude, latitude);
		jsonObject.put("message", name);
		jsonObject.put("code", true);
		response.setContentType("text/html;charset=UTF-8"); 
		response.getWriter().print(jsonObject.toJSONString());
		setNext(false);
	}

}
